subtle - Feature #4

Ruby extension
10/03/2008 01:48 AM - Christoph Kappel

Status: Fixed
Priority: Urgent
Assignee: Christoph Kappel

Category: Feature

Target version:

Start date: 10/03/2008
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

Create a 'Ruby':http://www.ruby-lang.org extension to use features of subtler in 'Ruby':http://www.ruby-lang.org scripts.

History

#1 - 10/03/2008 11:15 PM - Christoph Kappel
- % Done changed from 10 to 20

The extension works - it's just lacking useful stuff:

irb(main):001:0> require "subtlext"
=> true

irb(main):002:0> s = Subtle.new(":0")
Connection open

=> #<Subtle:0xb7d7a46¢c>
irb(main):003:0> s.version
=>"0.8.655"

#2 - 10/05/2008 10:08 PM - Christoph Kappel
- % Done changed from 20 to 40

require "subtlext"

s = Subtle.new(":2")

puts "subtle %s on %s" % [s.version, s.running? ? s.display : "none"]

puts "Views: %s" % [s.views.join(", ")]
puts "Tags: %s" % [s.tags.join(", ")]

% ruby test.rb

subtle 0.8.670 on :2.0

Views: web, dev, work

Tags: editor, browser, terms, default

#3 - 10/07/2008 09:48 PM - Christoph Kappel
- % Done changed from 40 to 50

#4 - 10/07/2008 11:13 PM - Christoph Kappel
- % Done changed from 50 to 60

#5 - 10/16/2008 11:43 PM - Christoph Kappel
- % Done changed from 60 to 70

#6 - 10/19/2008 12:32 AM - Christoph Kappel
- % Done changed from 70 to 80

#7 - 02/11/2009 12:05 PM - Christoph Kappel
- % Done changed from 80 to 100
https://subtle.rs/projects/subtle/wiki/Subtler

Extension is finished and may be extended int he future.

#8 - 02/11/2009 12:06 PM - Christoph Kappel

- Status changed from Unconfirmed to Fixed
